# OgreMemorySTLAllocator.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::STLAllocator< T, AllocPolicy >
| Wrapper class for operating as an STL container allocator. More...
struct | Ogre::STLAllocator< T, AllocPolicy >::rebind< U >
| the standard rebind mechanism More...

## Functions

template<typename T, typename T2, typename P>
bool | Ogre::operator== (STLAllocator< T, P > const &, STLAllocator< T2, P > const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++)
template<typename T, typename P, typename OtherAllocator>
bool | Ogre::operator== (STLAllocator< T, P > const &, OtherAllocator const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++)
template<typename T, typename T2, typename P>
bool | Ogre::operator!= (STLAllocator< T, P > const &, STLAllocator< T2, P > const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++)
template<typename T, typename P, typename OtherAllocator>
bool | Ogre::operator!= (STLAllocator< T, P > const &, OtherAllocator const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++)

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:21 2009